﻿<!DOCTYPE html>
<html lang="en">
  
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>
      Opus Laboris Recruitment: Register/Sign Up
    </title>
      <link rel="shortcut icon" href="images/icons/favicon.ico" />

      <!-- Javascript Libraries -->
      <script src="javascript/TriSysLoad.js" type="text/javascript"></script>
      <script src="javascript/jquery.min.js" type="text/javascript"></script>
</head>
  
<body style="display:none">
    <div id="TriSysWeb-Header"></div>
    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <h1>
                        Candidate Registration
                    </h1>
                </div>
                <div class="col-md-4" style="text-align:right">
                    <img src="images/Register.png" height="150">
                </div>
            </div>
            <p>
                By registering as a candidate, you may apply for any of the jobs advertised on this web site.
                You will also be able to track all of your applications and organise your interview preferences
                as well as setup job alerts.
            </p>
            <p style="text-align: center">
            </p>
        </div>
    </div>

    <div class="container">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Register
                </h3>
            </div>
            <div class="panel-body">
                <div class="form-group" style="width:100%; float:left;">
                    <label style="width:100%;">
                        Title
                    </label>

                    <input id="Contact_ContactTitle" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Forename(s)
                    </label>
                    <input type="text" class="form-control" name="txtForename" id="txtForename" maxlength="50">
                </div>
                <div class="form-group">
                    <label>
                        Surname
                    </label>
                    <input type="text" class="form-control" name="txtSurname" id="txtSurname" maxlength="50">
                </div>
                <div class="form-group" style="width:49.5%; float:left;">
                    <label>
                        Password
                    </label>
                    <input type="password" class="form-control" name="pwPassword" id="pwPassword" maxlength="20">
                </div>
                <div class="form-group" style="width:49.5%; float:right;">
                    <label>
                        Confirm Password
                    </label>
                    <input type="password" class="form-control" name="pwConfirm" id="pwConfirm" maxlength="20">
                </div>
                <div class="form-group">
                    <label>
                        E-Mail Address
                    </label>
                    <input type="text" class="form-control" name="txtEmail" id="txtEmail" maxlength="100">
                </div>
                <div class="form-group">
                    <label>
                        Job Title
                    </label>
                    <input type="text" class="form-control" name="txtJobTitle" id="txtJobTitle" maxlength="50">
                </div>
                <div class="form-group">
                    <label>
                        Street
                    </label>
                    <textarea class="form-control" name="txtStreet" id="txtStreet" rows="3" style="resize: none"></textarea>
                </div>
                <div class="form-group">
                    <label>
                        Town/City
                    </label>
                    <input type="text" class="form-control" name="txtTownCity" id="txtTownCity" maxlength="50">
                </div>
                <div class="form-group">
                    <label>
                        County/State
                    </label>
                    <input type="text" class="form-control" name="txtCounty" id="txtCounty" maxlength="50">
                </div>
                <div class="form-group">
                    <label>
                        Post Code / ZIP
                    </label>
                    <div class="input-group" style="width: 200px;">
                        <input type="text" class="form-control" name="txtPostCode" id="txtPostCode" maxlength="10" style="width: 120px; text-transform: uppercase">
                        <span class="input-group-btn">
                            <button class="btn btn-info" type="button" id="btnPostCodeLookup" onclick="PostCodelookup()">
                                Lookup
                            </button>
                        </span>
                    </div>
                </div>
                <div class="form-group">
                    <label>
                        Country
                    </label>
                    <input id="Contact_HomeAddressCountry" style="width:100%" />
                    </>
                </div>
                <div class="form-group">
                    <label>
                        Home Telephone Number
                    </label>
                    <input type="text" class="form-control" name="txtHomeTel" id="txtHomeTel" maxlength="20">
                </div>
                <div class="form-group">
                    <label>
                        Mobile Telephone Number
                    </label>
                    <input type="text" class="form-control" name="txtMobTel" id="txtMobTel" maxlength="20">
                </div>
                <div class="form-group">
                    <label>
                        CV File Attachment
                    </label>
                    <div id="ContactConfigFields_CVFileRef" style="width:100%; margin-right:110px;"></div>
                </div>

                <hr />
                <div class="btn-group">
                    <a class="btn btn-primary" id="btnRegister" onclick="TriSysWeb.Pages.CandidateRegistration.RegistrationButtonClick()">Register</a>
                </div>
            </div>
        </div>
    </div>
    <div class="container">
        <div id="TriSysWeb-Footer"></div>
    </div>
    <!-- /container -->

    <script type="text/javascript">
        $(document).ready(function ()
        {
            TriSysLoad.ApexFramework.LoadDynamically(function ()
            {
                var documentReadyObject = {
                    ClientLogin: false,
                    CandidateLogin: false,
                    SQLLogin: true,
                    PageName: "register",
                    ParentMenuName: "candidate",
                    CallbackFunction: TriSysWeb.Pages.CandidateRegistration.Load
                };
                TriSysWeb.Pages.DocumentReady(documentReadyObject);
            });
        });

        function PostCodelookup()
        {
            TriSysSDK.PostCode.Lookup("txtPostCode", "txtStreet", "txtTownCity", "txtCounty", "Contact_HomeAddressCountry");
        }

    </script>


</body>


</html>